------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developped by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
-----------------------------------------------------------------------------
------------------------------------------------------------------------------


PACKAGE Version IS



   PRAGMA Elaborate_Body;


   -- Current Cheddar version number and compile date
   --
   Cheddar_Version      : CONSTANT String := "1.3p6";
   Cheddar_Compile_Date : CONSTANT String := "Compiled after August the 24th, 2006";


   -- Display the Copyright of Cheddar and its external
   -- tools
   PROCEDURE Copyright (
         Program_Name : IN     String);


END Version;
